Angular Bootstrap Google Maps

Angular Google Maps - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

As of July 16, 2018, an API Key is required to obtain this Google Maps feature. Click here to get an API Key

Angular Bootstrap Google Maps are the most advanced online maps in the world. Their uses are practically limitless.

They are mostly used on contact and about pages to increase the awareness of your location.

It's quite easy to implement a Google map in your project since all it requires is a small piece of JS code.

Examples of Angular Bootstrap Google Maps use include:

  • A travelling blog with map of every journey
  • Contact page
  • An about section with your location

See the following Angular Bootstrap Google maps examples:


Basic Example

        
            
              <agm-map [latitude]="map.lat" [longitude]="map.lng" style="height: 300px">
                <agm-marker [latitude]="map.lat" [longitude]="map.lng"></agm-marker>
              </agm-map>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'map-example',
                templateUrl: 'map.html',
              })
              export class MapComponent {
                map: any = { lat: 51.678418, lng: 7.809007 };
              }
            
        
    

Dynamically adding markers on the map

        
            
              <agm-map [latitude]="latitude" [longitude]="longitude" style="height: 300px" (mapClick)="placeMarker($event)">
                <agm-marker *ngFor="let marker of markers" [latitude]="marker.latitude" [longitude]="marker.longitude"></agm-marker>
              </agm-map>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'dynamic-markers',
                templateUrl: './dynamic-markers.component.html',
                styleUrls: ['./dynamic-markers.component.scss'],
              })
              export class DynamicMarkersComponent {
                longitude = 20.728218;
                latitude = 52.128973;

                markers = [
                  { latitude: 52.228973, longitude: 20.728218 }
                ];

                placeMarker(position: any) {
                  const lat = position.coords.lat;
                  const lng = position.coords.lng;
                  this.markers.push({ latitude: lat, longitude: lng });
                }
              }
            
        
    

Tooltip with agm-info-window

        
            
              <agm-map [latitude]="latitude" [longitude]="longitude" style="height: 300px" (mapClick)="placeMarker($event)">
                <agm-marker (mouseOver)="window.open()" (mouseOut)="window.close()" *ngFor="let marker of markers" [latitude]="marker.latitude"
                  [longitude]="marker.longitude">
                  <agm-info-window #window>
                    <h6>Longitude: {{marker.longitude}}</h6>
                    <h6>Latitude: {{marker.latitude}}</h6>
                  </agm-info-window>
                </agm-marker>
              </agm-map>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'agm-info-window',
                templateUrl: './agm-info-window.component.html',
                styleUrls: ['./agm-info-window.component.scss'],
              })
              export class AgmInfoWindowComponent {
                longitude = 20.728218;
                latitude = 52.128973;

                markers = [
                { latitude: 52.228973, longitude: 20.728218 }
                ];

                placeMarker(position: any) {
                  const lat = position.coords.lat;
                  const lng = position.coords.lng;
                  this.markers.push({ latitude: lat, longitude: lng });
                }
              }
            
        
    

Map types

The input [mapTypeId] is responsible for the change of the map type and takes the values of the string type. Possible types are: roadmap (default), satellite, hybrid, terrain.

        
            
              <agm-map [latitude]="latitude" [longitude]="longitude" style="height: 300px">
                <agm-marker [latitude]="latitude" [longitude]="longitude" [mapTypeId]="'hybrid'"></agm-marker>
              </agm-map>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'map-types',
                templateUrl: './map-types.component.html',
                styleUrls: ['./map-types.component.scss'],
              })
              export class MapTypesComponent {
                longitude = 20.728218;
                latitude = 52.128973;
              }
            
        
    


Angular Google Maps - API

In this section you will find informations about required modules and available inputs of forms component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ButtonsModule, InputsModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
          import { ButtonsModule, InputsModule } from 'angular-bootstrap-md'
        
        
    
        
            
          import { AgmCoreModule } from '@agm/core'
        
        
    

Add AgmCoreModule.forRoot({ apiKey: 'your key here' }) in the imports declarations, in the app.module.ts file to see the map (get an API key here).

        
            
            npm i --save @agm/core
          
        
    
        
            
            import { AgmCoreModule } from '@agm/core'
          
        
    
        
            
            @NgModule({
              imports: [
                AgmCoreModule.forRoot({
                  apiKey: 'your key here'
                })
              ],
            })
          
        
    

Inputs

Name Type Default Description Example
clickableIcons boolean true When false, map icons are not clickable. A map icon represents a point of interest, also known as a POI. By default map icons are clickable. [clickableIcons]="false"
disableDefaultUI boolean false Enables/disables all default UI of the Google map. Please note: When the map is created, this value cannot get updated. [disableDefaultUI]="true"
disableDoubleClickZoom boolean false Enables/disables zoom and center on double click. Enabled by default. [disableDoubleClickZoom]="true"
draggableCursor string The name or url of the cursor to display when mousing over a draggable map. This property uses the css * cursor attribute to change the icon. As with the css property, you must specify at least one fallback cursor that is not a URL. For example: [draggableCursor]="'url(http://www.example.com/icon.webp), auto;'" [draggableCursor]="'url(http://www.example.com/icon.webp), auto;'"
draggingCursor string The name or url of the cursor to display when the map is being dragged. This property uses the css cursor attribute to change the icon. As with the css property, you must specify at least one fallback cursor that is not a URL. For example: [draggingCursor]="'url(http://www.example.com/icon.webp), auto;'"
fitBounds LatLngBoundsLiteral | LatLngBounds Sets the viewport to contain the given bounds. [ fitBounds]="{}"
fullscreenControl boolean false The initial enabled/disabled state of the Fullscreen control. [fullscreenControl]="true"
fullscreenControlOptions FullscreenControlOptions Options for the Fullscreen control. [ fullscreenControlOptions]="{}"
gestureHandling "cooperative" | "greedy" | "none" | "auto" 'auto' This setting controls how gestures on the map are handled. Allowed values:
  • 'cooperative' (Two-finger touch gestures pan and zoom the map. One-finger touch gestures are not handled by the map.)
  • 'greedy' (All touch gestures pan or zoom the map.)
  • 'none' (The map cannot be panned or zoomed by user gestures.)
  • 'auto' [default] (Gesture handling is either cooperative or greedy, depending on whether the page is scrollable or not.
[ gestureHandling]="'none'"
keyboardShortcuts boolean true If false, prevents the map from being controlled by the keyboard. Keyboard shortcuts are enabled by default. [keyboardShortcuts]="false"
latitude number 0 The latitude that defines the center of the map. [latitude]="0"
longitude number 0 The longitude that defines the center of the map. [longitude]="0"
mapDraggable boolean true Enables/disables if map is draggable. [mapDraggable]="true"
mapTypeControl boolean false The initial enabled/disabled state of the Map type control. [mapTypeControl]="true"
mapTypeControlOptions MapTypeControlOptions Options for the Map type control. [mapTypeControlOptions]="{}"
mapTypeId "roadmap" | "hybrid" | "satellite" | "terrain" | string 'roadmap' The map mapTypeId. Defaults to 'roadmap'. [mapTypeId]="'roadmap'"
maxZoom number The maximal zoom level of the map allowed. When not provided, no restrictions to the zoom level are enforced. [maxZoom]="10"
minZoom number The minimum zoom level of the map allowed. When not provided, no restrictions to the zoom level are enforced. [minZoom]="10"
panControl boolean false The initial enabled/disabled state of the Pan control. [panControl]="10"
panControlOptions PanControlOptions Options for the Pan control. [panControlOptions]="{}"
rotateControl boolean false The initial enabled/disabled state of the Rotate control. [rotateControl]="false"
rotateControlOptions RotateControlOptions Options for the Rotate control. [rotateControlOptions]="{}"
scaleControl boolean false The initial enabled/disabled state of the Scale control. This is disabled by default. [scaleControl]="true"
scaleControlOptions ScaleControlOptions Options for the scale control. [scaleControlOptions]="{}"
scrollwheel boolean true If false, disables scrollwheel zooming on the map. The scrollwheel is enabled by default. [scrollwheel]="{}"
streetViewControl boolean true The initial enabled/disabled state of the Street View Pegman control. This control is part of the default UI, and should be set to false when displaying a map type on which the Street View road overlay should not appear (e.g. a non-Earth map type). [streetViewControl]="true"
streetViewControlOptions StreetViewControlOptions {} Options for the Street View control. [streetViewControlOptions]="{}"
styles MapTypeStyle[] [] Styles to apply to each of the default map types. Note that for Satellite/Hybrid and Terrain modes, these styles will only apply to labels and geometry. [styles]="[]"
usePanning boolean false When true and the latitude and/or longitude values changes, the Google Maps panTo method is used to center the map. See: https://developers.google.com/maps/documentation/javascript/reference#Map [usePanning]="true"
zoom number 8 The zoom level of the map. The default zoom level is 8. [zoom]="10"
zoomControl boolean true The enabled/disabled state of the Zoom control. [zoomControl]="false"
zoomControlOptions ZoomControlOptions Options for the Zoom control. [zoomControlOptions]="{}"

Vue Bootstrap Google Maps

Vue Google Maps - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

As of July 16, 2018, an API Key is required to obtain Google Maps feature. Click here to get an API Key

Vue Bootstrap map is a component which displays a map of an area defined by a user. Maps can be used in components like forms and modals.

They are mostly used on contact and about pages to increase awareness of your location.

It's quite easy to implement Google map in your project since all it requires is the component.

Examples of Vue Bootstrap Google Maps use:

  • Traveling blog with map of every journey
  • Contact page
  • About section with your location

See the following Vue Bootstrap Google maps examples:


Basic Example

This example creates a Google Map.

        
            
          <template>
            <mdb-google-map
              name="reg"
              class="col-md-12"
              style=" height: 500px"
              :zoom="14"
              :center="
                [{
                  latitude: 40.725118,
                  longitude: -73.997699
                }]"
              >
            </mdb-google-map>
          </template>
          
        
    
        
            
            <script>
              import {
                mdbGoogleMap
              } from 'mdbvue';
              export default {
                name: 'mdbGoogleMapsPage',
                components: {
                  mdbGoogleMap
                }
              }
            </script>
            
        
    

Custom map

With following example you can choose custom position.

        
            
      <template>
        <mdb-google-map 
          name="custom" 
          class="col-md-12" 
          style=" height: 500px" 
          :zoom="14"     
          :styles="styles"
          :markerCoordinates="
            [{
              latitude: 40.725118,
              longitude: -73.997699,
              title: 'New York'
            }]"
          >
        </mdb-google-map>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbmdbGoogleMap
          } from 'mdbvue';
          export default {
            name: 'mdbGoogleMapsPage',
            components: {
              mdbGoogleMap
            },
            data() {
              return {
                styles: [{
                    "featureType": "administrative",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "off"
                    }]
                  },
                  {
                    "featureType": "poi",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "simplified"
                    }]
                  },
                  {
                    "featureType": "road",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "simplified"
                    }]
                  },
                  {
                    "featureType": "water",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "simplified"
                    }]
                  },
                  {
                    "featureType": "transit",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "simplified"
                    }]
                  },
                  {
                    "featureType": "landscape",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "simplified"
                    }]
                  },
                  {
                    "featureType": "road.highway",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "off"
                    }]
                  },
                  {
                    "featureType": "road.local",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "on"
                    }]
                  },
                  {
                    "featureType": "road.highway",
                    "elementType": "geometry",
                    "stylers": [{
                      "visibility": "on"
                    }]
                  },
                  {
                    "featureType": "road.arterial",
                    "elementType": "all",
                    "stylers": [{
                      "visibility": "off"
                    }]
                  },
                  {
                    "featureType": "water",
                    "elementType": "all",
                    "stylers": [{
                        "color": "#5f94ff"
                      },
                      {
                        "lightness": 26
                      },
                      {
                        "gamma": 5.86
                      }
                    ]
                  },
                  {
                    "featureType": "road.highway",
                    "elementType": "all",
                    "stylers": [{
                        "weight": 0.6
                      },
                      {
                        "saturation": -85
                      },
                      {
                        "lightness": 61
                      }
                    ]
                  },
                  {
                    "featureType": "landscape",
                    "elementType": "all",
                    "stylers": [{
                        "hue": "#0066ff"
                      },
                      {
                        "saturation": 74
                      },
                      {
                        "lightness": 100
                      }
                    ]
                  }
                ]
              };
            }
          }
        </script>
        
        
    

Dynamically adding markers on the map

The following example adds a simple marker to a map.

        
            
          <template>
            <mdb-google-map 
              name="reg" 
              class="col-md-12" 
              :markerCoordinates="coordinates" 
              style=" height: 500px"
              :zoom="14"
            >
            </mdb-google-map>
          </template>
          
        
    
        
            
            <script>
              import {
                mdbGoogleMap
              } from 'mdbvue';
              export default {
                name: 'GoogleMapsPage',
                components: {
                  mdbGoogleMap
                },
                data() {
                  return {
                    coordinates: [{
                      latitude: 40.725118,
                      longitude: -73.997699,
                      title: 'New York'
                    }]
                  }
                }
              }
            </script>
            
        
    

Map types

The component takes in string type prop, determining what kind of map is needed. By default, its value is roadmap, others are satellite, hybrid, terrain.

        
            
          <mdb-google-map 
            name="satellite-example" 
            class="col-md-12" 
            :markerCoordinates="coordinatesSat"
            style=" height: 500px" 
            :zoom="16" 
            type="satellite"
          >
          </mdb-google-map>
          
        
    
        
            
            <script>
              import {
                mdbGoogleMap
              } from 'mdb';
              export default {
                name: 'GoogleMapsPage',
                components: {
                  mdbGoogleMap
                },
                data() {
                  return {
                    coordinatesSat: [{
                      latitude: 48.856847,
                      longitude: 2.296832,
                      title: "Paris, France"
                    }]
                  }
                }
              }
            </script>
            
        
    

Full page map

Click the button below to see full page Google map live preview.

        
            
      <template>
        <mdb-google-map 
          name="full" 
          class="col-md-12" 
          :markerCoordinates="coordinatesSat" 
          :zoom="16"
          :wrapperStyle="{width: '100vw', height: '100vh'}" 
          type="satellite"
        >
        </mdb-google-map>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbGoogleMap
          } from 'mdbvue';
          export default {
            name: 'mdbGoogleMapsPage',
            components: {
              mdbGoogleMap
            },
            data() {
              return {
                coordinatesSat: [{
                  latitude: 48.856847,
                  longitude: 2.296832,
                  title: "Paris, France"
                }]
              }
            }
          }
        </script>
        
        
    

Map within a card

Regular map
Custom map
        
            
      <template>
        <mdb-row>
          <mdb-col md="6" mb="4">
            <mdb-card narrow>
              <mdb-view cascade gradient="blue">
                Regular map
              </mdb-view>
              <mdb-card-body cascade>
                <mdb-google-map 
                  name="card" 
                  class="col-md-12" 
                  :markerCoordinates="coordinates" 
                  :zoom="14"
                  :wrapperStyle="{ height: '300px'}">
                </mdb-google-map>
              </mdb-card-body>
            </mdb-card>
          </mdb-col>
          <mdb-col md="6" mb="4">
            <mdb-card narrow>
              <mdb-view cascade gradient="peach">
                Custom map
              </mdb-view>
              <mdb-card-body cascade>
                <mdb-google-map 
                  name="card2" 
                  class="col-md-12" 
                  :markerCoordinates="coordinates" 
                  :zoom="14"
                  :styles="styles" 
                  :wrapperStyle="{ height: '300px'}">
                </mdb-google-map>
              </mdb-card-body>
            </mdb-card>
          </mdb-col>
        </mdb-row>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbGoogleMap,
            mdbRow,
            mdbCol,
            mdbCard,
            mdbView,
            mdbGoogleMap
          } from 'mdbvue';
          export default {
            name: 'mdbGoogleMapsPage',
            components: {
              mdbGoogleMap,
              mdbRow,
              mdbCol,
              mdbCard,
              mdbView,
              mdbGoogleMap
            },
            data() {
              return {
                coordinatesSat: [{
                  latitude: 48.856847,
                  longitude: 2.296832,
                  title: "Paris, France"
                }]
              }
            }
          }
        </script>
        
        
    

Map within contact form MDB Pro component

Use the example below to add a map next to your contact form to help people reach your location.

Contact us

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.

Write to us:

We'll write rarely, but only with the best content.



San Francisco, CA 94126

United States

+ 01 234 567 89

Mon - Fri, 8:00-22:00

info@gmail.com

sale@gmail.com

        
            
        <template>
          <section class="section pb-5">
            <!--Section heading-->
            <h2 class="section-heading h1 pt-4">Contact us</h2>
            <!--Section description-->
            <p class="section-description pb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error
              amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a
              pariatur accusamus veniam.</p>
            <mdb-row>
              <mdb-col lg="5" class="mb-4">
                <mdb-card>
                  <mdb-card-body>
                    <div class="form-header blue accent-1">
                      <h3>
                        <mdb-icon icon="envelope" /> Write to us:</h3>
                    </div>
                    <p>We'll write rarely, but only with the best content.</p><br>
                    <mdb-input icon="user" label="Your name" iconClass="grey-text" />
                    <mdb-input icon="envelope" label="Your email" iconClass="grey-text" />
                    <mdb-input icon="tag" label="Subject" iconClass="grey-text" />
                    <md-textarea icon="pencil" label="Your message" iconClass="grey-text" :rows="3" />
                    <div class="text-center mt-4">
                      <mdb-btn color="light-blue">Submit</mdb-btn>
                    </div>
                  </mdb-card-body>
                </mdb-card>
              </mdb-col>
              <mdb-col lg="7">
                <mdb-google-map name="form" class="col-md-12" :markerCoordinates="coordinates" :zoom="14"
                  wrapperClass="z-depth-1-half" :wrapperStyle="{ height: '400px'}">
                </mdb-google-map>
                <mdb-row class="text-center mt-4">
                  <mdb-col md="4">
                    <mdb-btn tag="a" floating icon="map-marker" class="blue accent-1" iconRight />
                    <p>San Francisco, CA 94126</p>
                    <p>United States</p>
                  </mdb-col>
                  <mdb-col md="4">
                    <mdb-btn tag="a" floating icon="phone" class="blue accent-1" />
                    <p>+ 01 234 567 89</p>
                    <p>Mon - Fri, 8:00-22:00</p>
                  </mdb-col>
                  <mdb-col md="4">
                    <mdb-btn tag="a" floating icon="envelope" class="blue accent-1" />
                    <p>info@gmail.com</p>
                    <p>sale@gmail.com</p>
                  </mdb-col>
                </mdb-row>
              </mdb-col>
            </mdb-row>
          </section>
        </template>
        
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbGoogleMap,
              mdbCard,
              mdbCardBody,
              mdbBtn,
              mdbInput,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'mdbGoogleMapsPage',
              components: {
                mdbRow,
                mdbCol,
                mdbGoogleMap,
                mdbCard,
                mdbCardBody,
                mdbmdbBtn,
                mdbInput,
                mdbIcon
              },
              data() {
                return {
                  coordinates: [{
                    latitude: 40.725118,
                    longitude: -73.997699,
                    title: 'New York'
                  }]
                }
              }
            }
          </script>
          
        
    

Full width map within contact form MDB Pro component

Use following example to get full-width map with contact form below it.

Contact us

        
            
        <template>
          <section class="section pb-5">
            <!--Section heading-->
            <h2 class="section-heading h1 pt-4">Contact us</h2>
            <!--Section description-->
            <p class="section-description pb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error
              amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a
              pariatur accusamus veniam.</p>
            <mdb-row>
              <mdb-col lg="5" class="mb-4">
                <mdb-card>
                  <mdb-card-body>
                    <div class="form-header blue accent-1">
                      <h3>
                        <mdb-icon icon="envelope" /> Write to us:</h3>
                    </div>
                    <p>We'll write rarely, but only with the best content.</p><br>
                    <mdb-input icon="user" label="Your name" iconClass="grey-text" />
                    <mdb-input icon="envelope" label="Your email" iconClass="grey-text" />
                    <mdb-input icon="tag" label="Subject" iconClass="grey-text" />
                    <md-textarea icon="pencil" label="Your message" iconClass="grey-text" :rows="3" />
                    <div class="text-center mt-4">
                      <mdb-btn color="light-blue">Submit</mdb-btn>
                    </div>
                  </mdb-card-body>
                </mdb-card>
              </mdb-col>
              <mdb-col lg="7">
                <mdb-google-map name="form" class="col-md-12" :markerCoordinates="coordinates" :zoom="14"
                  wrapperClass="z-depth-1-half" :wrapperStyle="{ height: '400px'}">
                </mdb-google-map>
                <mdb-row class="text-center mt-4">
                  <mdb-col md="4">
                    <mdb-btn tag="a" floating icon="map-marker" class="blue accent-1" iconRight />
                    <p>San Francisco, CA 94126</p>
                    <p>United States</p>
                  </mdb-col>
                  <mdb-col md="4">
                    <mdb-btn tag="a" floating icon="phone" class="blue accent-1" />
                    <p>+ 01 234 567 89</p>
                    <p>Mon - Fri, 8:00-22:00</p>
                  </mdb-col>
                  <mdb-col md="4">
                    <mdb-btn tag="a" floating icon="envelope" class="blue accent-1" />
                    <p>info@gmail.com</p>
                    <p>sale@gmail.com</p>
                  </mdb-col>
                </mdb-row>
              </mdb-col>
            </mdb-row>
          </section>
        </template>
        
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbGoogleMap,
              mdbCard,
              mdbCardBody,
              mdbBtn,
              mdbInput,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'mdbGoogleMapsPage',
              components: {
                mdbRow,
                mdbCol,
                mdbGoogleMap,
                mdbCard,
                mdbCardBody,
                mdbBtn,
                mdbInput,
                mdbIcon
              },
              data() {
                return {
                  coordinates: [{
                    latitude: 40.725118,
                    longitude: -73.997699,
                    title: 'New York'
                  }]
                }
              }
            }
          </script>
          
        
    

Map within modal

Use modal example to view map after viewing the modal.

        
            
          <template>
            <mdb-row>
              <h2 class="mb-3 w-100">Map within modal</h2>
              <mdb-row class="w-100 mb-4" center>
                <mdb-btn color="primary" @click.native="regular=true">Regular Map Modal</mdb-btn>
                <mdb-btn color="default" @click.native="satellite=true">Satellite Map Modal</mdb-btn>
                <mdb-btn color="secondary" @click.native="custom=true">Custom Map Modal</mdb-btn>
              </mdb-row>
              <!-- Regular Map Modal -->
              <mdb-modal :show="regular" @close="regular=false" size="lg">
                <mdb-modal-body class="p-0">
                  <mdb-google-map name="modal-reg" class="col-md-12"
                    style="height: 400px; position: relative; overflow: hidden" :markerCoordinates="coordinates"
                    :zoom="14" wrapperClass="z-depth-1-half" :modal="regular">
                  </mdb-google-map>
                </mdb-modal-body>
                <mdb-modal-footer center>
                  <mdb-btn color="info" size="md">Save location
                    <mdb-icon icon="map-marker" class="ml-1" />
                  </mdb-btn>
                  <mdb-btn outline="info" size="md" @click.native="regular=false">close
                    <mdb-icon icon="times" class="ml-1" />
                  </mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
              <!-- Satellite Map Modal -->
              <mdb-modal :show="satellite" @close="satellite=false" size="lg">
                <mdb-modal-body class="p-0">
                  <mdb-google-map name="modal-sat" class="col-md-12"
                    style="height: 400px; position: relative; overflow: hidden" :markerCoordinates="coordinatesSat"
                    :zoom="16" wrapperClass="z-depth-1-half" :modal="satellite" type="satellite">
                  </mdb-google-map>
                </mdb-modal-body>
                <mdb-modal-footer center>
                  <mdb-btn color="default" size="md">Save location
                    <mdb-icon icon="map-marker" class="ml-1" />
                  </mdb-btn>
                  <mdb-btn outline="default" size="md" @click.native="satellite=false">close
                    <mdb-icon icon="times" class="ml-1" />
                  </mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
              <!-- Custom Map Modal -->
              <mdb-modal :show="custom" @close="custom=false" size="lg">
                <mdb-modal-body class="p-0">
                  <mdb-google-map name="modal-custom" class="col-md-12"
                    style="height: 400px; position: relative; overflow: hidden" :markerCoordinates="coordinates"
                    :zoom="14" :styles="styles" wrapperClass="z-depth-1-half" :modal="regular">
                  </mdb-google-map>
                </mdb-modal-body>
                <mdb-modal-footer center>
                  <mdb-btn color="secondary" size="md">Save location
                    <mdb-icon icon="map-marker" class="ml-1" />
                  </mdb-btn>
                  <mdb-btn outline="secondary" size="md" @click.native="custom=false">close
                    <mdb-icon icon="times" class="ml-1" />
                  </mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </mdb-row>
          </template>
          
        
    
        
            
            <script>
              import {
                mdbRow,
                mdbBtn,
                mdbModal,
                mdbModalBody,
                mdbModalFooter,
                mdbGoogleMap
              } from 'mdbvue';
              export default {
                name: 'mdbGoogleMapsPage',
                components: {
                  mdbRow,
                  mdbBtn,
                  mdbModal,
                  mdbModalBody,
                  mdbModalFooter,
                  mdbGoogleMap
                },
                data() {
                  return {
                    regular: false,
                    satellite: false,
                    custom: false,
                    coordinates: [{
                      latitude: 40.725118,
                      longitude: -73.997699,
                      title: 'New York'
                    }],
                    styles: [{
                      "featureType": "administrative",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "off"
                      }]
                    }, {
                      "featureType": "poi",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "simplified"
                      }]
                    }, {
                      "featureType": "road",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "simplified"
                      }]
                    }, {
                      "featureType": "water",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "simplified"
                      }]
                    }, {
                      "featureType": "transit",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "simplified"
                      }]
                    }, {
                      "featureType": "landscape",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "simplified"
                      }]
                    }, {
                      "featureType": "road.highway",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "off"
                      }]
                    }, {
                      "featureType": "road.local",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "on"
                      }]
                    }, {
                      "featureType": "road.highway",
                      "elementType": "geometry",
                      "stylers": [{
                        "visibility": "on"
                      }]
                    }, {
                      "featureType": "road.arterial",
                      "elementType": "all",
                      "stylers": [{
                        "visibility": "off"
                      }]
                    }, {
                      "featureType": "water",
                      "elementType": "all",
                      "stylers": [{
                          "color": "#5f94ff"
                        },
                        {
                          "lightness": 26
                        },
                        {
                          "gamma": 5.86
                        }
                      ]
                    }, {
                      "featureType": "road.highway",
                      "elementType": "all",
                      "stylers": [{
                          "weight": 0.6
                        },
                        {
                          "saturation": -85
                        },
                        {
                          "lightness": 61
                        }
                      ]
                    }, {
                      "featureType": "landscape",
                      "elementType": "all",
                      "stylers": [{
                          "hue": "#0066ff"
                        },
                        {
                          "saturation": 74
                        },
                        {
                          "lightness": 100
                        }
                      ]
                    }]
                  }
                }
              }
            </script>
            
        
    

Vue Google Maps - API

In this section you will find informations about how to calibrate a map.


Props

Name Type Default Description
name String 'default' Name is used for map intitiation. As name prop value is used to generate instance's id, they should be unique on one page.
markerCoordinates Array false Each object within has three properties making up a marker: latitude, longitude and a marker's title
zoom Number 14 Zoom level, where minimum is 0 and it means a camera entirely zoomed out, and maximum is determined by the place observed. Remote regions in Antarctica go as far as 12, while much of the U.S. and Europe goes up to 21
center Array [{latitude: 40.725118, longitude: -73.997699}] Map center coordinates
modal Boolean false Used to bind a map's rerendering method while it is being shown in a modal
styles Array -- Feed component instances your favorite map styles
type String 'roadmap' Define the map's type - available values are 'roadmap', 'satellite', 'hybrid' and 'terain'
wrapperClass Array, String or Object -- Helps to style the component using classes
wrapperStyle Array, String or Object -- Helps to style the component using inline or object styles.
manualInit Boolean false Use this prop if You want to init Google script manually only when the component is loaded.